com.fasterxml.jackson.databind.util

## Class EnumValues

- java.lang.Object
- - com.fasterxml.jackson.databind.util.EnumValues

-     public final class EnumValues
      extends Object

  Helper class used for storing String serializations of enumerations.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EnumValues` | `construct(SerializationConfig config, Class<Enum<?>> enumClass)`
    `static EnumValues` | `constructFromName(MapperConfig<?> config, Class<Enum<?>> enumClass)`
    `static EnumValues` | `constructFromToString(MapperConfig<?> config, Class<Enum<?>> enumClass)`
    `Class<Enum<?>>` | `getEnumClass()`
    `EnumMap<?,com.fasterxml.jackson.core.SerializableString>` | `internalMap()` Method used for serialization and introspection by core Jackson code.
    `com.fasterxml.jackson.core.SerializableString` | `serializedValueFor(Enum<?> key)`
    `Collection<com.fasterxml.jackson.core.SerializableString>` | `values()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### construct

          public static EnumValues construct(SerializationConfig config,
                             Class<Enum<?>> enumClass)

    - #### constructFromName

          public static EnumValues constructFromName(MapperConfig<?> config,
                                     Class<Enum<?>> enumClass)

    - #### constructFromToString

          public static EnumValues constructFromToString(MapperConfig<?> config,
                                         Class<Enum<?>> enumClass)

    - #### serializedValueFor

          public com.fasterxml.jackson.core.SerializableString serializedValueFor(Enum<?> key)

    - #### values

          public Collection<com.fasterxml.jackson.core.SerializableString> values()

    - #### internalMap

          public EnumMap<?,com.fasterxml.jackson.core.SerializableString> internalMap()

      Method used for serialization and introspection by core Jackson code.

    - #### getEnumClass

          public Class<Enum<?>> getEnumClass()

      Since:
        2.2

Copyright © 2014-2015 FasterXML. All Rights Reserved.